# Error codes

All [API errors](/api/errors.md) include a `code` to identify them. Below is a full list of possible error codes and information on how to resolve them.

#### `invalid_api_key`

The provided API key was invalid. You can create and obtain a valid one from the Pliro Dashboard.

#### `invalid_api_version`

The provided API version was invalid. Please use one of the [supported versions](/api/versioning.md#supported-versions).

#### `invalid_param`

The value of one of the provided request parameters was invalid. See the `message` property for more details.

#### `missing_api_key`

No API key was provided in the request. See [Authentication](/api/authentication.md) for how to authenticate your API requests.

#### `not_found`

The requested resource could not be found. See the `message` property for more details.

#### `revoked_api_key`

The provided API key has been revoked. Obtain a new API key from the Pliro Dashboard.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pliro.co/api/errors/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
